Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.util
Class DefaultTransformer

    java.lang.Object
      org.apache.commons.math.util.DefaultTransformer

All Implemented Interfaces:
  NumberTransformer, Serializable

public class DefaultTransformer
extends Object
implements NumberTransformer, Serializable

A Default NumberTransformer for java.lang.Numbers and Numeric Strings. This provides some simple conversion capabilities to turn any java/lang.Number into a primitive double or to turn a String representation of a Number into a double.

Version:
  $Revision: 1.16 $ $Date: 2004/06/23 16:26:15 $
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID` Serializable version identifier

Constructor Summary
`DefaultTransformer()`

Method Summary
`double` | `transform(Object o)` Implementing this interface provides a facility to transform from Object to Double.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### DefaultTransformer

    public DefaultTransformer()

Method Detail

### transform

    public double transform(Object o)
                     throws MathException

  Description copied from interface: `NumberTransformer`
  Implementing this interface provides a facility to transform from Object to Double.

  Specified by:
    `transform` in interface `NumberTransformer`
  Parameters:
    `o` - the object that gets transformed.
  Returns:
    a double primitive representation of the Object o.
  Throws:
    `MathException` - If it cannot successfully be transformed or is null.
  See Also:
    `Transformer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.